diff --git a/tests/test_api.py b/tests/test_api.py
index ce5d1ab..b7ab267 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -1,19 +1,16 @@
 import datetime
-import urllib.parse as urlparse
-import pytest
 import sys
+import urllib.parse as urlparse
 
+import pytest
 from django.contrib.auth import get_user_model
 from django.db import connection
 from django.test import override_settings
 from django.test.utils import CaptureQueriesContext
-from django.utils.timezone import now, make_aware, localtime
+from django.utils.timezone import localtime, make_aware, now
 
-from chrono.agendas.models import (Agenda, Event, Booking,
-                                   MeetingType, TimePeriod, Desk,
-                                   TimePeriodException)
 import chrono.api.views
-
+from chrono.agendas.models import Agenda, Booking, Desk, Event, MeetingType, TimePeriod, TimePeriodException
 
 pytestmark = pytest.mark.django_db
 
@@ -25,29 +22,36 @@ def datetime_from_str(dt_str):
 @pytest.fixture
 def user():
     User = get_user_model()
-    user = User.objects.create(username='john.doe',
-            first_name=u'John', last_name=u'Doe', email='john.doe@example.net')
+    user = User.objects.create(
+        username='john.doe', first_name=u'John', last_name=u'Doe', email='john.doe@example.net'
+    )
     user.set_password('password')
     user.save()
     return user
 
+
 @pytest.fixture(params=['Europe/Brussels', 'Asia/Kolkata', 'Brazil/East'])
 def time_zone(request, settings):
     settings.TIME_ZONE = request.param
 
 
-@pytest.fixture(params=[
-    datetime.datetime(2017, 5, 20, 1, 12),
-    datetime.datetime(2017, 5, 20, 11, 42),
-    datetime.datetime(2017, 5, 20, 23, 17)])
+@pytest.fixture(
+    params=[
+        datetime.datetime(2017, 5, 20, 1, 12),
+        datetime.datetime(2017, 5, 20, 11, 42),
+        datetime.datetime(2017, 5, 20, 23, 17),
+    ]
+)
 def mock_now(request, monkeypatch):
     def mockreturn():
         return make_aware(request.param)
+
     monkeypatch.setattr(chrono.api.views, 'now', mockreturn)
     monkeypatch.setattr(chrono.agendas.models, 'now', mockreturn)
     monkeypatch.setattr(sys.modules[__name__], 'now', mockreturn)
     return mockreturn()
 
+
 @pytest.fixture
 def some_data(time_zone, mock_now):
     agenda = Agenda(label=u'Foo bar')
@@ -55,8 +59,7 @@ def some_data(time_zone, mock_now):
     first_date = localtime(now()).replace(hour=17, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
     for i in range(3):
-        event = Event(start_datetime=first_date + datetime.timedelta(days=i),
-                  places=20, agenda=agenda)
+        event = Event(start_datetime=first_date + datetime.timedelta(days=i), places=20, agenda=agenda)
         event.save()
 
     agenda2 = Agenda(label=u'Foo bar2')
@@ -64,19 +67,19 @@ def some_data(time_zone, mock_now):
     first_date = localtime(now()).replace(hour=20, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
     for i in range(2):
-        event = Event(start_datetime=first_date + datetime.timedelta(days=i),
-                  places=20, agenda=agenda2)
+        event = Event(start_datetime=first_date + datetime.timedelta(days=i), places=20, agenda=agenda2)
         event.save()
 
     # a date in the past
-    event = Event(start_datetime=first_date - datetime.timedelta(days=10),
-            places=10, agenda=agenda)
+    event = Event(start_datetime=first_date - datetime.timedelta(days=10), places=10, agenda=agenda)
     event.save()
 
+
 @pytest.fixture
 def meetings_agenda(time_zone, mock_now):
-    agenda = Agenda(label=u'Foo bar Meeting', kind='meetings',
-            minimal_booking_delay=1, maximal_booking_delay=56)
+    agenda = Agenda(
+        label=u'Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=56
+    )
     agenda.save()
     meeting_type = MeetingType(agenda=agenda, label='Blah', duration=30)
     meeting_type.save()
@@ -86,48 +89,84 @@ def meetings_agenda(time_zone, mock_now):
 
     default_desk, created = Desk.objects.get_or_create(agenda=agenda, label='Desk 1')
 
-    time_period = TimePeriod(weekday=test_1st_weekday,
-            start_time=datetime.time(10, 0), end_time=datetime.time(12, 0), desk=default_desk)
+    time_period = TimePeriod(
+        weekday=test_1st_weekday,
+        start_time=datetime.time(10, 0),
+        end_time=datetime.time(12, 0),
+        desk=default_desk,
+    )
     time_period.save()
-    time_period = TimePeriod(weekday=test_2nd_weekday,
-            start_time=datetime.time(10, 0), end_time=datetime.time(17, 0), desk=default_desk)
+    time_period = TimePeriod(
+        weekday=test_2nd_weekday,
+        start_time=datetime.time(10, 0),
+        end_time=datetime.time(17, 0),
+        desk=default_desk,
+    )
     time_period.save()
     return agenda
 
+
 def test_agendas_api(app, some_data, meetings_agenda):
     agenda1 = Agenda.objects.filter(label=u'Foo bar')[0]
     agenda2 = Agenda.objects.filter(label=u'Foo bar2')[0]
     resp = app.get('/api/agenda/')
-    assert resp.json == {'data': [
-        {'text': 'Foo bar', 'id': u'foo-bar', 'slug': 'foo-bar', 'kind': 'events',
-         'minimal_booking_delay': 1, 'maximal_booking_delay': 56,
-         'api': {'datetimes_url': 'http://testserver/api/agenda/%s/datetimes/' % agenda1.slug,
-                 'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % agenda1.slug}},
-        {'text': 'Foo bar Meeting', 'id': u'foo-bar-meeting', 'slug': 'foo-bar-meeting',
-         'minimal_booking_delay': 1, 'maximal_booking_delay': 56,
-         'kind': 'meetings',
-         'api': {'meetings_url': 'http://testserver/api/agenda/%s/meetings/' % meetings_agenda.slug,
-                 'desks_url': 'http://testserver/api/agenda/%s/desks/' % meetings_agenda.slug,
-                 'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % meetings_agenda.slug,
+    assert resp.json == {
+        'data': [
+            {
+                'text': 'Foo bar',
+                'id': u'foo-bar',
+                'slug': 'foo-bar',
+                'kind': 'events',
+                'minimal_booking_delay': 1,
+                'maximal_booking_delay': 56,
+                'api': {
+                    'datetimes_url': 'http://testserver/api/agenda/%s/datetimes/' % agenda1.slug,
+                    'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % agenda1.slug,
                 },
-        },
-        {'text': 'Foo bar2', 'id': u'foo-bar2', 'kind': 'events', 'slug': 'foo-bar2',
-         'minimal_booking_delay': 1, 'maximal_booking_delay': 56,
-         'api': {'datetimes_url': 'http://testserver/api/agenda/%s/datetimes/' % agenda2.slug,
-                 'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % agenda2.slug}}
-        ]}
+            },
+            {
+                'text': 'Foo bar Meeting',
+                'id': u'foo-bar-meeting',
+                'slug': 'foo-bar-meeting',
+                'minimal_booking_delay': 1,
+                'maximal_booking_delay': 56,
+                'kind': 'meetings',
+                'api': {
+                    'meetings_url': 'http://testserver/api/agenda/%s/meetings/' % meetings_agenda.slug,
+                    'desks_url': 'http://testserver/api/agenda/%s/desks/' % meetings_agenda.slug,
+                    'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % meetings_agenda.slug,
+                },
+            },
+            {
+                'text': 'Foo bar2',
+                'id': u'foo-bar2',
+                'kind': 'events',
+                'slug': 'foo-bar2',
+                'minimal_booking_delay': 1,
+                'maximal_booking_delay': 56,
+                'api': {
+                    'datetimes_url': 'http://testserver/api/agenda/%s/datetimes/' % agenda2.slug,
+                    'fillslots_url': 'http://testserver/api/agenda/%s/fillslots/' % agenda2.slug,
+                },
+            },
+        ]
+    }
+
 
 def test_agendas_meetingtypes_api(app, some_data, meetings_agenda):
     resp = app.get('/api/agenda/%s/meetings/' % meetings_agenda.slug)
-    assert resp.json == {'data': [
-        {'text': 'Blah',
-         'id': 'blah',
-         'duration': 30,
-         'api': {
-             'datetimes_url': 'http://testserver/api/agenda/foo-bar-meeting/meetings/blah/datetimes/',
-         }
-        }
-    ]}
+    assert resp.json == {
+        'data': [
+            {
+                'text': 'Blah',
+                'id': 'blah',
+                'duration': 30,
+                'api': {
+                    'datetimes_url': 'http://testserver/api/agenda/foo-bar-meeting/meetings/blah/datetimes/',
+                },
+            }
+        ]
+    }
 
     # wrong kind
     agenda1 = Agenda.objects.filter(label=u'Foo bar')[0]
@@ -139,11 +178,7 @@ def test_agendas_meetingtypes_api(app, some_data, meetings_agenda):
 
 def test_agendas_desks_api(app, some_data, meetings_agenda):
     resp = app.get('/api/agenda/%s/desks/' % meetings_agenda.slug)
-    assert resp.json == {'data': [
-        {'text': 'Desk 1',
-         'id': 'desk-1',
-        }
-    ]}
+    assert resp.json == {'data': [{'text': 'Desk 1', 'id': 'desk-1',}]}
 
     # wrong kind
     agenda1 = Agenda.objects.filter(label=u'Foo bar')[0]
@@ -198,12 +233,14 @@ def test_datetimes_api(app, some_data):
     resp = app.get('/api/agenda/%s/datetimes/' % agenda.slug)
     assert resp.json['data'][0]['description']
 
+
 def test_datetimes_api_wrong_kind(app, some_data):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     agenda.kind = 'meetings'
     agenda.save()
     resp = app.get('/api/agenda/%s/datetimes/' % agenda.id, status=404)
 
+
 def test_datetime_api_fr(app, some_data):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     with override_settings(LANGUAGE_CODE='fr-fr'):
@@ -213,6 +250,7 @@ def test_datetime_api_fr(app, some_data):
         assert resp.json['data'][0]['datetime'].endswith(' 17:00:00')
         assert 'data' in resp.json
 
+
 def test_datetime_api_label(app, some_data):
     agenda_id = Agenda.objects.filter(label=u'Foo bar2')[0].id
     event = Event.objects.filter(agenda=agenda_id)[0]
@@ -221,17 +259,20 @@ def test_datetime_api_label(app, some_data):
     resp = app.get('/api/agenda/%s/datetimes/' % agenda_id)
     assert 'Hello world' in [x['text'] for x in resp.json['data']]
 
+
 def test_datetime_api_status_url(app, some_data):
     agenda = Agenda.objects.get(label=u'Foo bar2')
     resp = app.get('/api/agenda/%s/datetimes/' % agenda.slug)
     for datum in resp.json['data']:
         assert urlparse.urlparse(datum['api']['status_url']).path == '/api/agenda/%s/status/%s/' % (
-                agenda.slug, datum['slug'] or datum['id'])
+            agenda.slug,
+            datum['slug'] or datum['id'],
+        )
+
 
 def test_datetimes_api_meetings_agenda(app, meetings_agenda):
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
-    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (
-            meeting_type.agenda.slug, meeting_type.slug)
+    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (meeting_type.agenda.slug, meeting_type.slug)
 
     resp = app.get('/api/agenda/%s/meetings/xxx/datetimes/' % meeting_type.agenda.slug, status=404)
 
@@ -253,8 +294,14 @@ def test_datetimes_api_meetings_agenda(app, meetings_agenda):
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     dt = datetime.datetime.strptime(resp.json['data'][2]['id'].split(':')[1], '%Y-%m-%d-%H%M')
-    ev = Event(agenda=meetings_agenda, meeting_type=meeting_type,
-            places=1, full=False, start_datetime=make_aware(dt), desk=Desk.objects.first())
+    ev = Event(
+        agenda=meetings_agenda,
+        meeting_type=meeting_type,
+        places=1,
+        full=False,
+        start_datetime=make_aware(dt),
+        desk=Desk.objects.first(),
+    )
     ev.save()
     booking = Booking(event=ev)
     booking.save()
@@ -277,9 +324,12 @@ def test_datetimes_api_meetings_agenda(app, meetings_agenda):
     default_desk, _ = Desk.objects.get_or_create(agenda=meetings_agenda, slug='desk-1')
     TimePeriod.objects.filter(desk=default_desk).delete()
     start_time = localtime(now()) - datetime.timedelta(minutes=10)
-    time_period = TimePeriod(weekday=localtime(now()).weekday(),
-            start_time=start_time,
-            end_time=start_time + datetime.timedelta(hours=1), desk=default_desk)
+    time_period = TimePeriod(
+        weekday=localtime(now()).weekday(),
+        start_time=start_time,
+        end_time=start_time + datetime.timedelta(hours=1),
+        desk=default_desk,
+    )
     time_period.save()
     meetings_agenda.minimal_booking_delay = 0
     meetings_agenda.maximal_booking_delay = 10
@@ -287,6 +337,7 @@ def test_datetimes_api_meetings_agenda(app, meetings_agenda):
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == 3
 
+
 def test_datetimes_api_meetings_agenda_short_time_periods(app, meetings_agenda, user):
     meetings_agenda.minimal_booking_delay = 0
     meetings_agenda.maximal_booking_delay = 10
@@ -294,14 +345,17 @@ def test_datetimes_api_meetings_agenda_short_time_periods(app, meetings_agenda,
 
     default_desk, _ = Desk.objects.get_or_create(agenda=meetings_agenda, slug='desk-1')
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
-    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (
-            meeting_type.agenda.slug, meeting_type.slug)
+    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (meeting_type.agenda.slug, meeting_type.slug)
 
     # test with short time periods
     TimePeriod.objects.filter(desk=default_desk).delete()
     test_1st_weekday = (localtime(now()).weekday() + 2) % 7
-    time_period = TimePeriod(weekday=test_1st_weekday,
-            start_time=datetime.time(10, 0), end_time=datetime.time(10, 30), desk=default_desk)
+    time_period = TimePeriod(
+        weekday=test_1st_weekday,
+        start_time=datetime.time(10, 0),
+        end_time=datetime.time(10, 30),
+        desk=default_desk,
+    )
     time_period.save()
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == 2
@@ -328,6 +382,7 @@ def test_datetimes_api_meetings_agenda_short_time_periods(app, meetings_agenda,
     assert resp.json['err_class'] == 'no more desk available'
     assert resp.json['err_desc'] == 'no more desk available'
 
+
 def test_booking_api(app, some_data, user):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
@@ -337,8 +392,13 @@ def test_booking_api(app, some_data, user):
 
     for agenda_key in (agenda.slug, agenda.id):  # acces datetimes via agenda slug or id (legacy)
         resp_datetimes = app.get('/api/agenda/%s/datetimes/' % agenda_key)
-        event_fillslot_url = [x for x in resp_datetimes.json['data'] if x['id'] == event.id][0]['api']['fillslot_url']
-        assert urlparse.urlparse(event_fillslot_url).path == '/api/agenda/%s/fillslot/%s/' % (agenda.slug, event.slug or event.id)
+        event_fillslot_url = [x for x in resp_datetimes.json['data'] if x['id'] == event.id][0]['api'][
+            'fillslot_url'
+        ]
+        assert urlparse.urlparse(event_fillslot_url).path == '/api/agenda/%s/fillslot/%s/' % (
+            agenda.slug,
+            event.slug or event.id,
+        )
 
     app.authorization = ('Basic', ('john.doe', 'password'))
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda.slug, event.id))
@@ -359,30 +419,39 @@ def test_booking_api(app, some_data, user):
     assert Booking.objects.filter(event__agenda=agenda).count() == 2
 
     # test with additional data
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': 'foo', 'user_name': 'bar', 'backoffice_url': 'http://example.net/'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={'label': 'foo', 'user_name': 'bar', 'backoffice_url': 'http://example.net/'},
+    )
     assert Booking.objects.get(id=resp.json['booking_id']).label == 'foo'
     assert Booking.objects.get(id=resp.json['booking_id']).user_name == 'bar'
     assert Booking.objects.get(id=resp.json['booking_id']).backoffice_url == 'http://example.net/'
 
     # blank data are OK
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': '', 'user_name': '', 'backoffice_url': ''})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={'label': '', 'user_name': '', 'backoffice_url': ''},
+    )
     assert Booking.objects.get(id=resp.json['booking_id']).label == ''
     assert Booking.objects.get(id=resp.json['booking_id']).user_name == ''
     assert Booking.objects.get(id=resp.json['booking_id']).backoffice_url == ''
 
     # extra data stored in extra_data field
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': 'l', 'user_name': 'u', 'backoffice_url': '', 'foo': 'bar'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={'label': 'l', 'user_name': 'u', 'backoffice_url': '', 'foo': 'bar'},
+    )
     assert Booking.objects.get(id=resp.json['booking_id']).label == 'l'
     assert Booking.objects.get(id=resp.json['booking_id']).user_name == 'u'
     assert Booking.objects.get(id=resp.json['booking_id']).backoffice_url == ''
     assert Booking.objects.get(id=resp.json['booking_id']).extra_data == {'foo': 'bar'}
 
     # test invalid data are refused
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'user_name': {'foo': 'bar'}}, status=400)
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={'user_name': {'foo': 'bar'}},
+        status=400,
+    )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'invalid payload'  # legacy
     assert resp.json['err_class'] == 'invalid payload'
@@ -394,6 +463,7 @@ def test_booking_api(app, some_data, user):
 
     resp = app.post('/api/agenda/233/fillslot/%s/' % event.id, status=404)
 
+
 def test_booking_ics(app, some_data, meetings_agenda, user):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
@@ -407,15 +477,24 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
 
     formatted_start_date = event.start_datetime.strftime('%Y%m%dT%H%M%S')
     booking_ics = Booking.objects.get(id=resp.json['booking_id']).get_ics()
-    assert 'UID:%s-%s-%s\r\n' % (event.start_datetime.isoformat(), agenda.pk, resp.json['booking_id']) in booking_ics
+    assert (
+        'UID:%s-%s-%s\r\n' % (event.start_datetime.isoformat(), agenda.pk, resp.json['booking_id'])
+        in booking_ics
+    )
     assert 'SUMMARY:\r\n' in booking_ics
     assert 'DTSTART:%sZ\r\n' % formatted_start_date in booking_ics
     assert 'DTEDND:' not in booking_ics
 
     # test with additional data
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': 'foo', 'user_name': 'bar', 'backoffice_url': 'http://example.net/',
-                    'url': 'http://example.com/booking'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={
+            'label': 'foo',
+            'user_name': 'bar',
+            'backoffice_url': 'http://example.net/',
+            'url': 'http://example.com/booking',
+        },
+    )
     assert Booking.objects.count() == 2
     booking_ics = Booking.objects.get(id=resp.json['booking_id']).get_ics()
     assert 'SUMMARY:foo\r\n' in booking_ics
@@ -423,9 +502,16 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
     assert 'URL:http://example.com/booking\r\n' in booking_ics
 
     # test with user_label in additionnal data
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': 'foo', 'user_name': 'bar', 'backoffice_url': 'http://example.net/',
-                    'url': 'http://example.com/booking', 'user_display_label': 'your booking'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={
+            'label': 'foo',
+            'user_name': 'bar',
+            'backoffice_url': 'http://example.net/',
+            'url': 'http://example.com/booking',
+            'user_display_label': 'your booking',
+        },
+    )
     assert Booking.objects.count() == 3
     booking_ics = Booking.objects.get(id=resp.json['booking_id']).get_ics()
     assert 'SUMMARY:your booking\r\n' in booking_ics
@@ -433,9 +519,17 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
     assert 'URL:http://example.com/booking\r\n' in booking_ics
 
     # extra data stored in extra_data field
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
-            params={'label': 'l', 'user_name': 'u', 'backoffice_url': '', 'location': 'bar',
-                    'comment': 'booking comment', 'description': 'booking description'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id),
+        params={
+            'label': 'l',
+            'user_name': 'u',
+            'backoffice_url': '',
+            'location': 'bar',
+            'comment': 'booking comment',
+            'description': 'booking description',
+        },
+    )
     assert Booking.objects.count() == 4
     booking_id = resp.json['booking_id']
     booking = Booking.objects.get(id=booking_id)
@@ -452,8 +546,12 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
     resp = app.get('/api/booking/%s/ics/' % resp.json['booking_id'])
     assert resp.headers['Content-Type'] == 'text/calendar'
 
-    params = {'description': 'custom booking description', 'location': 'custom booking location',
-              'comment': 'custom comment', 'url': 'http://example.com/custom'}
+    params = {
+        'description': 'custom booking description',
+        'location': 'custom booking location',
+        'comment': 'custom comment',
+        'url': 'http://example.com/custom',
+    }
     resp = app.get('/api/booking/%s/ics/' % booking_id, params=params)
     assert 'DESCRIPTION:custom booking description\r\n' in resp.text
     assert 'LOCATION:custom booking location\r\n' in resp.text
@@ -470,10 +568,13 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
     booking = Booking.objects.get(id=resp.json['booking_id'])
     booking_ics = booking.get_ics()
     start = booking.event.start_datetime.strftime('%Y%m%dT%H%M%S')
-    end = (booking.event.start_datetime + datetime.timedelta(minutes=booking.event.meeting_type.duration)).strftime('%Y%m%dT%H%M%S')
+    end = (
+        booking.event.start_datetime + datetime.timedelta(minutes=booking.event.meeting_type.duration)
+    ).strftime('%Y%m%dT%H%M%S')
     assert "DTSTART:%sZ\r\n" % start in booking_ics
     assert "DTEND:%sZ\r\n" % end in booking_ics
 
+
 def test_booking_api_fillslots(app, some_data, user):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     events_ids = [x.id for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()]
@@ -520,9 +621,15 @@ def test_booking_api_fillslots(app, some_data, user):
     assert Booking.objects.filter(event__agenda=agenda, primary_booking=primary_booking_id_2).count() == 2
 
     # test with additional data
-    resp = app.post_json('/api/agenda/%s/fillslots/' % agenda.id,
-            params={'slots': events_ids,
-                    'label': 'foo', 'user_name': 'bar', 'backoffice_url': 'http://example.net/'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslots/' % agenda.id,
+        params={
+            'slots': events_ids,
+            'label': 'foo',
+            'user_name': 'bar',
+            'backoffice_url': 'http://example.net/',
+        },
+    )
     booking_id = resp.json['booking_id']
     assert Booking.objects.get(id=booking_id).label == 'foo'
     assert Booking.objects.get(id=booking_id).user_name == 'bar'
@@ -538,9 +645,10 @@ def test_booking_api_fillslots(app, some_data, user):
     assert Booking.objects.get(id=booking_id).cancellation_datetime is not None
 
     # extra data stored in extra_data field
-    resp = app.post_json('/api/agenda/%s/fillslots/' % agenda.id,
-            params={'slots': events_ids,
-                    'label': 'l', 'user_name': 'u', 'backoffice_url': '', 'foo': 'bar'})
+    resp = app.post_json(
+        '/api/agenda/%s/fillslots/' % agenda.id,
+        params={'slots': events_ids, 'label': 'l', 'user_name': 'u', 'backoffice_url': '', 'foo': 'bar'},
+    )
     assert Booking.objects.get(id=resp.json['booking_id']).label == 'l'
     assert Booking.objects.get(id=resp.json['booking_id']).user_name == 'u'
     assert Booking.objects.get(id=resp.json['booking_id']).backoffice_url == ''
@@ -549,9 +657,11 @@ def test_booking_api_fillslots(app, some_data, user):
         assert booking.extra_data == {'foo': 'bar'}
 
     # test invalid data are refused
-    resp = app.post_json('/api/agenda/%s/fillslots/' % agenda.id,
-            params={'slots': events_ids,
-                    'user_name': {'foo': 'bar'}}, status=400)
+    resp = app.post_json(
+        '/api/agenda/%s/fillslots/' % agenda.id,
+        params={'slots': events_ids, 'user_name': {'foo': 'bar'}},
+        status=400,
+    )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'invalid payload'  # legacy
     assert resp.json['err_class'] == 'invalid payload'
@@ -583,13 +693,15 @@ def test_booking_api_fillslots(app, some_data, user):
     resp = app.post('/api/agenda/foobar/fillslots/', status=404)
     resp = app.post('/api/agenda/233/fillslots/', status=404)
 
+
 def test_booking_api_meeting(app, meetings_agenda, user):
     agenda_id = meetings_agenda.slug
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     event_id = resp.json['data'][2]['id']
-    assert urlparse.urlparse(resp.json['data'][2]['api']['fillslot_url']
-            ).path == '/api/agenda/%s/fillslot/%s/' % (meetings_agenda.slug, event_id)
+    assert urlparse.urlparse(
+        resp.json['data'][2]['api']['fillslot_url']
+    ).path == '/api/agenda/%s/fillslot/%s/' % (meetings_agenda.slug, event_id)
 
     app.authorization = ('Basic', ('john.doe', 'password'))
 
@@ -600,10 +712,12 @@ def test_booking_api_meeting(app, meetings_agenda, user):
     # make a booking
     resp_booking = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
     assert Booking.objects.count() == 1
-    assert resp_booking.json['datetime'] == localtime(Booking.objects.all()[0].event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
-    assert resp_booking.json['end_datetime'] == localtime(Booking.objects.all()[0].event.end_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(Booking.objects.all()[0].event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
+    assert resp_booking.json['end_datetime'] == localtime(
+        Booking.objects.all()[0].event.end_datetime
+    ).strftime('%Y-%m-%d %H:%M:%S')
     assert resp_booking.json['duration'] == 30
 
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
@@ -622,6 +736,7 @@ def test_booking_api_meeting(app, meetings_agenda, user):
     assert resp.json['err'] == 0
     assert Booking.objects.count() == 2
 
+
 def test_booking_api_meeting_fillslots(app, meetings_agenda, user):
     agenda_id = meetings_agenda.slug
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
@@ -633,10 +748,12 @@ def test_booking_api_meeting_fillslots(app, meetings_agenda, user):
     assert Booking.objects.count() == 2
     primary_booking = Booking.objects.filter(primary_booking__isnull=True).first()
     secondary_booking = Booking.objects.filter(primary_booking=primary_booking.id).first()
-    assert resp_booking.json['datetime'] == localtime(primary_booking.event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
-    assert resp_booking.json['end_datetime'] == localtime(secondary_booking.event.end_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(primary_booking.event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
+    assert resp_booking.json['end_datetime'] == localtime(secondary_booking.event.end_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
 
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len([x for x in resp2.json['data'] if not x.get('disabled')]) + 2
@@ -672,14 +789,13 @@ def test_booking_api_meeting_fillslots(app, meetings_agenda, user):
     assert Booking.objects.filter(cancellation_datetime__isnull=False).count() == 2
 
     impossible_slots = ['1:2017-05-22-1130', '2:2017-05-22-1100']
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda_id,
-                    params={'slots': impossible_slots},
-                    status=400)
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda_id, params={'slots': impossible_slots}, status=400)
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'all slots must have the same meeting type id (1)'  # legacy
     assert resp.json['err_class'] == 'all slots must have the same meeting type id (1)'
     assert resp.json['err_desc'] == 'all slots must have the same meeting type id (1)'
 
+
 def test_booking_api_meeting_across_daylight_saving_time(app, meetings_agenda, user):
     meetings_agenda.maximal_booking_delay = 365
     meetings_agenda.save()
@@ -689,19 +805,22 @@ def test_booking_api_meeting_across_daylight_saving_time(app, meetings_agenda, u
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     event_index = 26 * 18
     event_id = resp.json['data'][event_index]['id']
-    assert event_id[-4:] == resp.json['data'][2*18]['id'][-4:]
-    assert urlparse.urlparse(resp.json['data'][event_index]['api']['fillslot_url']
-            ).path == '/api/agenda/%s/fillslot/%s/' % (meetings_agenda.slug, event_id)
+    assert event_id[-4:] == resp.json['data'][2 * 18]['id'][-4:]
+    assert urlparse.urlparse(
+        resp.json['data'][event_index]['api']['fillslot_url']
+    ).path == '/api/agenda/%s/fillslot/%s/' % (meetings_agenda.slug, event_id)
 
     app.authorization = ('Basic', ('john.doe', 'password'))
     resp_booking = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
     assert Booking.objects.count() == 1
-    assert resp_booking.json['datetime'] == localtime(Booking.objects.all()[0].event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(Booking.objects.all()[0].event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert resp.json['data'][event_index]['disabled']
 
+
 def test_booking_api_meeting_different_durations_book_short(app, meetings_agenda, user):
     agenda_id = meetings_agenda.id
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
